std::ranges::common_range(3cxx)

NAME
std::ranges::common_range - A range for which ranges::begin and ranges::end return the same type.

SYNOPSIS

#include <ranges_base.h>

Concept definition

template<typename _Tp>
concept std::ranges::common_range =  range<_Tp> && same_as<iterator_t<_Tp>, sentinel_t<_Tp>>

Detailed Description

A range for which ranges::begin and ranges::end return the same type.

Author

Generated automatically by Doxygen for libstdc++ from the source code.